
package sbidxservice.idx.v1;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for IDXHeader complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="IDXHeader">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="AccountStatus" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="AccountType" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
 *         &lt;element name="IBReference" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="IDXReference" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="InitiatingBank" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="MessageType" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="SourceBank" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="SBReference" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="BusinessUnit" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="InitiatingIP" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "IDXHeader", propOrder = {
    "accountStatus",
    "accountType",
    "ibReference",
    "idxReference",
    "initiatingBank",
    "messageType",
    "sourceBank",
    "sbReference",
    "businessUnit",
    "initiatingIP"
})
public class IDXHeader {

    @XmlElement(name = "AccountStatus")
    protected int accountStatus;
    @XmlElementRef(name = "AccountType", namespace = "http://IDX.SBIDXService/V1", type = JAXBElement.class)
    protected JAXBElement<Integer> accountType;
    @XmlElementRef(name = "IBReference", namespace = "http://IDX.SBIDXService/V1", type = JAXBElement.class)
    protected JAXBElement<String> ibReference;
    @XmlElement(name = "IDXReference", required = true)
    protected String idxReference;
    @XmlElement(name = "InitiatingBank")
    protected int initiatingBank;
    @XmlElement(name = "MessageType")
    protected int messageType;
    @XmlElement(name = "SourceBank")
    protected int sourceBank;
    @XmlElement(name = "SBReference", required = true)
    protected String sbReference;
    @XmlElement(name = "BusinessUnit", required = true)
    protected String businessUnit;
    @XmlElement(name = "InitiatingIP", required = true)
    protected String initiatingIP;

    /**
     * Gets the value of the accountStatus property.
     * 
     */
    public int getAccountStatus() {
        return accountStatus;
    }

    /**
     * Sets the value of the accountStatus property.
     * 
     */
    public void setAccountStatus(int value) {
        this.accountStatus = value;
    }

    /**
     * Gets the value of the accountType property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link Integer }{@code >}
     *     
     */
    public JAXBElement<Integer> getAccountType() {
        return accountType;
    }

    /**
     * Sets the value of the accountType property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link Integer }{@code >}
     *     
     */
    public void setAccountType(JAXBElement<Integer> value) {
        this.accountType = ((JAXBElement<Integer> ) value);
    }

    /**
     * Gets the value of the ibReference property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getIBReference() {
        return ibReference;
    }

    /**
     * Sets the value of the ibReference property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setIBReference(JAXBElement<String> value) {
        this.ibReference = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the idxReference property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIDXReference() {
        return idxReference;
    }

    /**
     * Sets the value of the idxReference property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIDXReference(String value) {
        this.idxReference = value;
    }

    /**
     * Gets the value of the initiatingBank property.
     * 
     */
    public int getInitiatingBank() {
        return initiatingBank;
    }

    /**
     * Sets the value of the initiatingBank property.
     * 
     */
    public void setInitiatingBank(int value) {
        this.initiatingBank = value;
    }

    /**
     * Gets the value of the messageType property.
     * 
     */
    public int getMessageType() {
        return messageType;
    }

    /**
     * Sets the value of the messageType property.
     * 
     */
    public void setMessageType(int value) {
        this.messageType = value;
    }

    /**
     * Gets the value of the sourceBank property.
     * 
     */
    public int getSourceBank() {
        return sourceBank;
    }

    /**
     * Sets the value of the sourceBank property.
     * 
     */
    public void setSourceBank(int value) {
        this.sourceBank = value;
    }

    /**
     * Gets the value of the sbReference property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSBReference() {
        return sbReference;
    }

    /**
     * Sets the value of the sbReference property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSBReference(String value) {
        this.sbReference = value;
    }

    /**
     * Gets the value of the businessUnit property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getBusinessUnit() {
        return businessUnit;
    }

    /**
     * Sets the value of the businessUnit property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setBusinessUnit(String value) {
        this.businessUnit = value;
    }

    /**
     * Gets the value of the initiatingIP property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getInitiatingIP() {
        return initiatingIP;
    }

    /**
     * Sets the value of the initiatingIP property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setInitiatingIP(String value) {
        this.initiatingIP = value;
    }

}
