/**
 * 
 */
package sbidxservice.idx.v1;

import javax.jws.WebService;
import javax.xml.ws.Endpoint;

import org.apache.cxf.binding.soap.saaj.SAAJInInterceptor;
import org.apache.cxf.binding.soap.saaj.SAAJOutInterceptor;
import org.apache.cxf.interceptor.InInterceptors;
import org.apache.cxf.jaxws.EndpointImpl;
import org.apache.cxf.service.factory.ReflectionServiceFactoryBean;
import org.apache.cxf.ws.security.wss4j.WSS4JInInterceptor;
import org.apache.ws.security.handler.WSHandlerConstants;


import org.apache.cxf.endpoint.Server;
import org.apache.cxf.frontend.ServerFactoryBean;

import org.jboss.ws.api.annotation.EndpointConfig;




/**
 * @author MNtsekhe
 *
 */
@WebService(portName = "SBIDXEndpoint",
			serviceName = "SBIDXService", 
			targetNamespace = "http://IDX.SBIDXService/V1",
			wsdlLocation = "WEB-INF/wsdl/SBIDXService.wsdl",
			endpointInterface = "sbidxservice.idx.v1.ISBIDXService"
)
//@InInterceptors(interceptors={"sbidxservice.idx.v1.WSSecirutyInterceptor"})

@EndpointConfig(configFile = "WEB-INF/jaxws-endpoint-config.xml", configName = "Custom WS-Security Endpoint")
public class ISBIDXServiceImple implements ISBIDXService {

	/* (non-Javadoc)
	 * @see sbidxservice.idx.v1.ISBIDXService#submit(sbidxservice.idx.v1.Submit, sbidxservice.idx.v1.IDXHeader)
	 */
	@Override
	public SubmitResponse submit(Submit parameters, IDXHeader idxHeader)
			throws ISBIDXServiceSubmitIDXFaultFaultFaultMessage {
		
	
		
		/*WSSecirutyInterceptor myInterceptor = new WSSecirutyInterceptor();
		
		ServerFactoryBean svrFactory = new ServerFactoryBean();
		Server server = svrFactory.create();
		server.getEndpoint().getInInterceptors().add(myInterceptor); */

		
		
		// Setting the output
		ObjectFactory objectFactory = new ObjectFactory();
		SubmitResponse submitResponse = new SubmitResponse();
		SBIDXResponse sbidxResponse = new SBIDXResponse();
		sbidxResponse.setValue(true);
		
		submitResponse.setSubmitResult(objectFactory.createSBIDXResponse(sbidxResponse));
			
		// TODO Auto-generated method stub
		return submitResponse;
	}

}
