package sbidxservice.idx.v1;




import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
 
import javax.security.auth.callback.Callback;
import javax.security.auth.callback.CallbackHandler;
import javax.security.auth.callback.UnsupportedCallbackException;
 
import org.apache.ws.security.WSPasswordCallback;
 
/**
 * Really callback for key passwords.  Configure it with a map
 * of key-alias-to-password mappings.  Obviously this could
 * be extended to encrypt or obfuscate these passwords if desired.
 */
public class KeystorePasswordCallback implements CallbackHandler
{
 
    private Map<String, String> passwords = new HashMap<String, String>();
 
    public KeystorePasswordCallback() {       
    	passwords.put("le-6327afa4-293a-4ecf-9eca-69e950ccacc0", "africanbank");       
    	passwords.put("absaclient", "client");    
    }      
    /**     * It attempts to get the password from the private     * alias/passwords map.     */   
    
    public void handle(Callback[] callbacks) throws IOException, UnsupportedCallbackException {       
    	for (int i = 0; i < callbacks.length; i++) {          
    		WSPasswordCallback pc = (WSPasswordCallback)callbacks[i];            
    		String pass = passwords.get(pc.getIdentifier());          
    		if (pass != null) {             
    			pc.setPassword(pass);             
    			return;          
    		}       
    	}    
    }      
    
    
    /**     * Add an alias/password pair to the callback mechanism.     */   
    
    public void setAliasPassword(String alias, String password) {       
    	passwords.put(alias, password);    
    } 
}
